# validate | xrpl
Documentation for xrpl

# Function validate

- validate(transaction: Record<string, unknown>): void

- Verifies various Transaction Types. Encode/decode and individual type validation.

  ### Throws

  ValidationError When the Transaction is malformed.

  #### Parameters

  - ##### transaction: Record<string, unknown>

    A Transaction.

  #### Returns void

  - Defined in packages/xrpl/src/models/transactions/transaction.ts:99

Generated using TypeDoc